Bug 816070 - Wrong/Big error message displayed when provider quota exceeded.
Wrong/Big error message displayed when provider quota exceeded.
Status: NEW
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Angus Thomas
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 03:55 EDT by Shveta
Modified: 2012-08-10 11:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wrong_big_message (246.72 KB, image/png)
2012-04-25 03:55 EDT, Shveta
no flags Details

  None (edit)
Description Shveta 2012-04-25 03:55:34 EDT
Created attachment 580086 [details]
wrong_big_message

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Set provider quota to 10 for ec2 
2. Launched multi instance(4 instance) deployment for ec2 
3. When 8 instances were launched launched third application with 4 instances..
Two should have launched and for the rest two provider quota reached message should have been shown .

But none are launched and message displayed :
"
vsphereaccount: Cloud Resource Cluster us-east is not mapped to any cloud resource provider or provider cluster
mock: Cloud Resource Cluster us-east is not mapped to any cloud resource provider or provider cluster
rhevmaccount: component outline is not pushed to this provider account
vsphereaccount: Cloud Resource Cluster us-east is not mapped to any cloud resource provider or provider cluster
mock: Cloud Resource Cluster us-east is not mapped to any cloud resource provider or provider cluster
rhevmaccount: component outline is not pushed to this provider account
vsphereaccount: Cloud Resource Cluster us-east is not mapped to any cloud resource provider or provider cluster
mock: Cloud Resource Cluster us-east is not mapped to any cloud resource provider or provider cluster
rhevmaccount: component outline is not pushed to this provider account
vsphereaccount: Cloud Resource Cluster us-east is not mapped to any cloud resource provider or provider cluster
mock: Cloud Resource Cluster us-east is not mapped to any cloud resource provider or provider cluster
rhevmaccount: component outline is not pushed to this provider account
ssachdev@redhat.com_Ec2_east quota limit too low to launch application blueprint"

Rather a short message saying ec2 quota exceeded should be displayed.
  
Actual results:


Expected results:


Additional info:

rpm -qa|grep aeolus
aeolus-conductor-doc-0.8.9-1.el6.noarch
aeolus-conductor-0.8.9-1.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-all-0.8.9-1.el6.noarch
aeolus-configure-2.5.3-1.el6.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
aeolus-conductor-daemons-0.8.9-1.el6.noarch
Comment 1 wes hayutin 2012-04-25 10:38:46 EDT
The design is to fail applications that go over the quota.

I suspect you are getting the long error because you have all the providers enabled and you are not specifying the cluster to launch in.

The provider it tried to launch in reported the correct message..

ssachdev@redhat.com_Ec2_east quota limit too low to launch application
blueprint"

this is partially a bug and partially a setup error..

We need to do a better job at suppressing error messages when using auto-select.
Comment 2 Hugh Brock 2012-05-07 13:49:42 EDT
requesting Z because of the user-annoyance factor of blatting out huge numbers of error messages.

Note You need to log in before you can comment on or make changes to this bug.